<?php

/**

 * CodeIgniter

 *

 * An open source application development framework for PHP

 *

 * This content is released under the MIT License (MIT)

 *

 * Copyright (c) 2014 - 2017, British Columbia Institute of Technology

 *

 * Permission is hereby granted, free of charge, to any person obtaining a copy

 * of this software and associated documentation files (the "Software"), to deal

 * in the Software without restriction, including without limitation the rights

 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell

 * copies of the Software, and to permit persons to whom the Software is

 * furnished to do so, subject to the following conditions:

 *

 * The above copyright notice and this permission notice shall be included in

 * all copies or substantial portions of the Software.

 *

 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR

 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,

 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE

 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER

 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,

 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN

 * THE SOFTWARE.

 *

 * @package	CodeIgniter

 * @author	EllisLab Dev Team

 * @copyright	Copyright (c) 2008 - 2014, EllisLab, Inc. (https://ellislab.com/)

 * @copyright	Copyright (c) 2014 - 2017, British Columbia Institute of Technology (http://bcit.ca/)

 * @license	http://opensource.org/licenses/MIT	MIT License

 * @link	https://codeigniter.com

 * @since	Version 1.0.0

 * @filesource

 */

defined('BASEPATH') OR exit('No direct script access allowed');



/**

 * CodeIgniter Number Helpers

 *

 * @package		CodeIgniter

 * @subpackage	Helpers

 * @category	Helpers

 * @author		EllisLab Dev Team

 * @link		https://codeigniter.com/user_guide/helpers/number_helper.html

 */



// ------------------------------------------------------------------------



if ( ! function_exists('byte_format'))

{

	/**

	 * Formats a numbers as bytes, based on size, and adds the appropriate suffix

	 *

	 * @param	mixed	will be cast as int

	 * @param	int

	 * @return	string

	 */

	function byte_format($num, $precision = 1)

	{

		$CI =& get_instance();

		$CI->lang->load('number');



		if ($num >= 1000000000000)

		{

			$num = round($num / 1099511627776, $precision);

			$unit = $CI->lang->line('terabyte_abbr');

		}

		elseif ($num >= 1000000000)

		{

			$num = round($num / 1073741824, $precision);

			$unit = $CI->lang->line('gigabyte_abbr');

		}

		elseif ($num >= 1000000)

		{

			$num = round($num / 1048576, $precision);

			$unit = $CI->lang->line('megabyte_abbr');

		}

		elseif ($num >= 1000)

		{

			$num = round($num / 1024, $precision);

			$unit = $CI->lang->line('kilobyte_abbr');

		}

		else

		{

			$unit = $CI->lang->line('bytes');

			return number_format($num).' '.$unit;

		}



		return number_format($num, $precision).' '.$unit;

	}

}

